%define pkg_name        Digest
%define pkg_version     1.15
%define rpm_pkg_version 1.15
%define rpm_pkg_release 1.n0i.4


Summary:       Frontend module for autoloading of various Digest:: modules
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}
Epoch:         0

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GA/GAAS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools

BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(MIME::Base64)}


%description
The "Digest::" modules calculate digests, also called "fingerprints" or
"hashes", of some data, called a message. The digest is (usually) some
small/fixed size string. The actual size of the digest depend of the algorithm
used. The message is simply a sequence of arbitrary bytes or bits.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes digest-bench README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0:1.15-1.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer 1.146
- version 1.15

* Fri Apr 30 2004 Marius FERARU <altblue@n0i.net> 0:1.08-1.n0i.3
- version 1.08

* Sat Apr 03 2004 Marius Feraru <altblue@n0i.net> 0:1.06-1.n0i.2
- version 1.06
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101

* Tue Dec 30 2003 Marius FERARU <altblue@n0i.net> 3:1.05-0.n0i.1
- version 1.05
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
